Try with below code
Dim allAttributes As NXOpen.NXObject.AttributeInformation()
Dim attribute As NXOpen.NXObject.AttributeInformation
allAttributes = WorkPart.GetUserAttributes()
For Each attribute In allAttributes
'Check type and print the attibute info
Next
Regards,
Maddy
Hi,
I would like to know is there any way to fetch the information from Cue/Satus Bar,
It is exactly opposite to UFS.UI.SetPrompt(message) API.
Thanks in advance.
Regards,
Maddy
This is in Reference to Post https://www.eng-tips.com/viewthread.cfm?qid=452004
"How to copy multiple partbody to existing product as a part?"
I Suppose you need to copy each and every body as a part into a product..
if so, may be you can use below Code....
Sub CATMain()...
Current Sheet Number:
Create separate Function to get the SheetNumber
Function GetSheetNumberOf(ByVal oDrawingSheet As DrawingSheet, ByVal oDrawingSheets As DrawingSheets)
GetSheetNumberOf = GetSheetNumberOf (oDrawingSheet.Name, oDrawingSheets )
End Function
Function GetSheetNumberOf(ByVal...
yes, Ferdo,
Scenario is like this (CATIA V62013x)
I need to create an assembly from opened 3DParts and i have 2 part files opened
1. Part1
2. Part2
I created a new product Product1 (Assembly - through program)
Now i need to add Part1 and Part2 to Product1 (New Product)
And then put a...
Hi,
i'm new to v6 automation and have worked in v5 automation.
Can any one help/post some sample reference code to create new product in V62013x and then add an existing 3D part in to the newly created product.
i was able to create a new product and fetch the existing (opened part), but...
Hi
It's not about manual interaction
It's about achieving the switching of application through journal or program while the journal is not yet finished it's execution.
If I create shortcuts, is there anyway to use these shortcuts WHILE A PROGRAM IS RUNNING AND IN BETWEEN THE PROGRAM.
Hope...
Hi John,
I'm using NX 8.5 and 9.0
We use master model approach only.
And I did tried with changing the display part
But user does not want this.
So I'm looking for a solution where I'll switch to modelling while program is running and once user selects the inputs switch back to drafting...
Hi,
I want to switch from drafting to application modelling in a journal. and later modelling to drafting for user selection.
I don't want to use setDisplay method.
I did tried to record a journal, but no code is recorded for switching applications between modelling and drafting.
So if i have...
Hi,
i just wanted to create a Two GRIP programs to achieve
1. One program to change the Application from modelling to Drafting and
2. Second program to change the Application from Drafting to Modelling
i tried with NX Open Grip but error comes up as below
Enter file [exit]...
Hi handleman
yes you are right.
i need to set the value of a note to a attribute if it is not linked to it.
getting the linked property is ok but how to set it.
Regards,
Maddy
Hi all,
I have a note in a drawing which displays the value of an attribute from part document
i would like to
1. check what property this has been linked to
2. link if it is not linked to the desire property.
kindly let me know how could i achieve this thro vba.
Regards,
Maddy
Hi, Mark
Thanks for your reply.
I've put a if else statement but can you please let me know which is the command used to run a journal file.
I'm unable to find it though.
Thanks and regards,
Maddy
Regards,
Maddy
Hi,
Is there any chances where based upon a value of an expression extrusion input sketch needs to be changed.
i.e for ex if I have 5 sketches, an expression "Sketch No = 1"
-> When the expression Sketch_No value is 1 then Sketch_000 should be selected for extrusion
-> likewise if the...
Hi, John,
First of all thanks for your kind explanation...
My apologies if I didn't made myself clear about what I wanted to know. I can understand that
no software developers will allow to change the tools they've developed by someone from outside.
I just wanted to know is there any...